package com.hfkj.service.merchant;

import com.hfkj.entity.BsMerchant;
import com.hfkj.entity.BsMerchantQrCode;
import com.hfkj.sysenum.merchant.MerchantQrCodeStatusEnum;
import com.hfkj.sysenum.merchant.MerchantQrCodeTypeEnum;

import java.util.List;

/**
 * @className: BsMerchantQrCodeService
 * @author: HuRui
 * @date: 2024/3/4
 **/
public interface BsMerchantQrCodeService {

    /**
     * 编辑数据
     * @param data 数据
     */
    void editData(BsMerchantQrCode data);

    /**
     * 生成商户二维码
     * @param merchant
     */
    void generateMerQrCode(BsMerchant merchant) throws Exception;

    /**
     * 修改二维码状态
     * @param qrCodeId
     * @param qrCodeStatus
     */
    void updateQrCodeStatus(Long qrCodeId, MerchantQrCodeStatusEnum qrCodeStatus);

    /**
     * 查询二维码
     * @param id
     * @return
     */
    BsMerchantQrCode getMerQrCode(Long id);

    /**
     * 查询二维码
     * @param merNo
     * @param qrCodeType
     * @return
     */
    BsMerchantQrCode getMerQrCode(String merNo, MerchantQrCodeTypeEnum qrCodeType);

    /**
     * 查询商户二维码列表
     * @param merNo
     * @return
     */
    List<BsMerchantQrCode> getMerQrCodeList(String merNo);


}
